ComfortUpdate from 3.12.2+ (180625) to 3.14.1 (180731)

More
2 months 2 weeks ago #171946 by NikiBalboa
NikiBalboa created the topic: ComfortUpdate from 3.12.2+ (180625) to 3.14.1 (180731)
Hi there,

we are experiencing a challenge using the ComfortUpdate, upgrading from 3.12.2+ (180625) to 3.14.1 (180731):

When proceeding from step 4 (File system) to step 5 (Backup) after a couple minutes, the following error occurs:

"You have an error inside your local installation of LimeSurvey. See:
504 Gateway Time-out
nginx/1.10.3 (Ubuntu)"


The ComfortUpdate did work fine before. Basically, we haven't changed anything in our Limesurvey installation manually.

Has anyone come across this issue before / what can we do? Is there a way to check the integrity of our LS installation?

Thanks alot in advance for any help/tips.


LS-Server information:

LimeSurvey version 3.12.2
LimeSurvey build 180625
Operating system Linux he-limesurvey 4.13.0-37-generic #42~16.04.1-Ubuntu SMP Wed Mar 7 16:03:28 UTC 2018 x86_64
PHP version 7.2.3-1+ubuntu16.04.1+deb.sury.org+1
Web server software nginx/1.10.3
Web server info HTTP/1.1
Database driver mysql
Database driver version mysqlnd 5.0.12-dev - 20150407 - $Id: 38fea24f2847fa7519001be390c98ae0acafe387 $
Database server info Uptime: 10864335 Threads: 2 Questions: 509316799 Slow queries: 0 Opens: 51446 Flush tables: 1 Open tables: 400 Queries per second avg: 46.879
Database server version Uptime: 10864335 Threads: 2 Questions: 509316799 Slow queries: 0 Opens: 51446 Flush tables: 1 Open tables: 400 Queries per second avg: 46.879
Attachments:

Please Log in or Create an account to join the conversation.

More
1 month 1 week ago #173880 by usautomatic
usautomatic replied the topic: ComfortUpdate from 3.12.2+ (180625) to 3.14.1 (180731)
I am also seeing this with ComfortUpdate. Instead, we are trying to upgrade from 2.73 to 3.14.1. We use IIS 7.5. We thought the upgrade needed more execution time so we increased the FastCGI Activity Timeout from 300 to 3600 which is an hour and it still did not work. We only have two surveys and no customizations. Yep, ComfortUpdate is broken.

Please Log in or Create an account to join the conversation.

More
1 month 1 week ago #173881 by holch
holch replied the topic: ComfortUpdate from 3.12.2+ (180625) to 3.14.1 (180731)

Yep, ComfortUpdate is broken.


I guess this is a little general, because it seems to work pretty well for quite a few people, including me.

IIS is always a little tricky. the problem might be with that or a bug in combination with that. However, this should be in the comfort update forum, not here. I'll move this post to the correct forum. Hopefully Louis or some of his colleagues sees this.

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds
The following user(s) said Thank You: DenisChenu

Please Log in or Create an account to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!